% Esto es un script. En matlab se llaman M-files
% Los comentarios se ponen con "%". Usenlos por favor

% Inicializamos las variables
clear; % clear workspace
%burocracia del grafico
set(gca,'NextPlot','replacechildren')

m = 1;
H = 10;
g = 9.8;
gamma = 0:0.1:0.5;
Tf = 4;
dt = 0.01;

t = 0:dt:Tf;

% hoy vamos a trabajar con matrices (de ahi el nombre de mat-lab)
% vamos a integrar las ecuacione de movimiento para todos los gammas de una

x = zeros(length(gamma),length(t)); % Solo asignamos la memoria pq es mas 
v = x;                             % rapido que hacerlo on the fly

% Condiciones iniciales

x(:,1) = H; % El ":" asigna a toda la fila el valor inicial
v(:,1) = 0;

% loop de la integracion con algoritmo verlet (ver wikipedia)

for i=1:(length(t) - 1)
    % aca debe ir el algoritmo de integracion (e.g. verlet de velocidad)
    % esta parte es la que lleva toda la fisica del problema. 
    x(:,i+1) = x(:,i) + v(:,i)*dt - 0.5*(g - gamma'.*v(:,i))*dt*dt ;
    v(:,i+1) = v(:,i) - g*dt - gamma'.*v(:,i)*dt; % OJO .* hace la operacion elemento a elemento
    
    %burocracia para graficar
    axis([0 2 0 12]); 
    %figure(1)
    %plot(t(1:i),x(1,1:i),t(1:i),x(2,1:i),t(1:i),x(2,1:i),t(1:i),x(3,1:i),t(1:i),x(4,1:i),t(1:i),x(5,1:i))
    %figure(2)
    %plot(t(1:i),v(1,1:i),t(1:i),v(2,1:i),t(1:i),v(2,1:i),t(1:i),v(3,1:i),t(1:i),v(4,1:i),t(1:i),v(5,1:i))
    %pelicula(i) = getframe;
end

